import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const enclosedAreaPersonnelApplyList = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Post > @/primeport/closedAreaPersonApply/pendingApprovalRecordList`,
);
export const enclosedAreaPersonnelApplyReviewSubmit = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Post > @/primeport/closedAreaPersonApply/auditPersonApply`,
);
export const enclosedAreaPersonnelApplyInfo = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Get > /primeport/closedAreaPersonApply/{id}`,
);
export const enclosedAreaPersonnelApplyEntourageList = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Post > @/primeport/closedAreaPersonApply/getCorpUserList`,
);
export const enclosedAreaPersonnelApplySave = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Post > @/primeport/closedAreaPersonApply/save`,
);
export const enclosedAreaPersonnelApplyRecordsAccessRecordsList
  = declareRequest("enclosedAreaPersonnelApplyLoading", `Post > @/primeport/`);
export const xgfProjectListAll = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Get > /xgfManager/project/listAllPassedBySelfCorp`,
);
export const xgfProjectUserGetPeopleProject = declareRequest(
  "enclosedAreaPersonnelApplyLoading",
  `Get > /xgfManager/projectUser/getPeopleinProject/{id}`,
);
